summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 20:01:55 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 20:01:55 +0200
commit4005438306155237f377642a892d0b2b8fb6bc5e (patch)
tree20067436cdcb53e33071d161d4962cad627af0ae /system
parent31303c1daf8a185c391c2bc995666b452ce859c1 (diff)
downloadslackbuilds-4005438306155237f377642a892d0b2b8fb6bc5e.tar.gz
slackbuilds-4005438306155237f377642a892d0b2b8fb6bc5e.tar.xz
system/chmsee: Added to 12.0 repository
Diffstat (limited to 'system')
-rw-r--r--system/chmsee/README7
-rw-r--r--system/chmsee/chmsee.SlackBuild86
-rw-r--r--system/chmsee/chmsee.info8
-rw-r--r--system/chmsee/doinst.sh5
-rw-r--r--system/chmsee/slack-desc19
5 files changed, 125 insertions, 0 deletions
diff --git a/system/chmsee/README b/system/chmsee/README
new file mode 100644
index 0000000000..47ff17dc0c
--- /dev/null
+++ b/system/chmsee/README
@@ -0,0 +1,7 @@
+ChmSee is an HTML Help viewer for Unix/Linux. It is based on CHMLIB
+and use Gtk2+ as frontend toolkit. Because of using gecko as HTML
+rendering engine, ChmSee can support rich features of modern HTML
+page, such as CSS and JavaScript.
+
+This requires chmlib, which is also available from SlackBuilds.org.
+You will also need to have the SeaMonkey package installed.
diff --git a/system/chmsee/chmsee.SlackBuild b/system/chmsee/chmsee.SlackBuild
new file mode 100644
index 0000000000..2bfe2b055d
--- /dev/null
+++ b/system/chmsee/chmsee.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for chmsee
+
+# Copyright 2007 Robby Workman - http://rlworkman.net
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=chmsee
+VERSION=1.0.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS* README* TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/chmsee/chmsee.info b/system/chmsee/chmsee.info
new file mode 100644
index 0000000000..3db15b3414
--- /dev/null
+++ b/system/chmsee/chmsee.info
@@ -0,0 +1,8 @@
+PRGNAM="chmsee"
+VERSION="1.0.0"
+HOMEPAGE="http://chmsee.gro.clinux.org/"
+DOWNLOAD="http://gro.clinux.org/frs/download.php/2040/chmsee-1.0.0.tar.gz"
+MD5SUM="65fddfe20f4a1537e539998201a0ccfd"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="erik"
diff --git a/system/chmsee/doinst.sh b/system/chmsee/doinst.sh
new file mode 100644
index 0000000000..3412314ed0
--- /dev/null
+++ b/system/chmsee/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/system/chmsee/slack-desc b/system/chmsee/slack-desc
new file mode 100644
index 0000000000..1e2ab139cc
--- /dev/null
+++ b/system/chmsee/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+chmsee: ChmSee - Viewer for MS CHM (HTML Help) Files
+chmsee:
+chmsee: ChmSee is an HTML Help viewer for Unix/Linux. It is based on CHMLIB
+chmsee: and use Gtk2+ as frontend toolkit. Because of using gecko as HTML
+chmsee: rendering engine, ChmSee can support rich features of modern HTML
+chmsee: page, such as CSS and JavaScript.
+chmsee:
+chmsee: Homepage: http://chmsee.gro.clinux.org
+chmsee:
+chmsee:
+chmsee: